/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <private/qabstractcollisionnode_p.h>
#include <private/qabstractcollisionshape_p.h>
#include <private/qabstractphysicsbody_p.h>
#include <private/qboxshape_p.h>
#include <private/qcapsuleshape_p.h>
#include <private/qcharactercontroller_p.h>
#include <private/qconvexmeshshape_p.h>
#include <private/qdynamicsworld_p.h>
#include <private/qheightfieldshape_p.h>
#include <private/qphysicsmaterial_p.h>
#include <private/qplaneshape_p.h>
#include <private/qrigidbody_p.h>
#include <private/qsphereshape_p.h>
#include <private/qtrianglemeshshape_p.h>
#include <private/qtriggerbody_p.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_QtQuick3D_Physics()
{
    qmlRegisterModule("QtQuick3D.Physics", 6, 0);
    qmlRegisterTypesAndRevisions<QAbstractCollisionNode>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QAbstractCollisionShape>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QAbstractPhysicsBody>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QBoxShape>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QCapsuleShape>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QCharacterController>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QConvexMeshShape>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QDynamicRigidBody>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QDynamicsWorld>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QHeightFieldShape>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QPhysicsMaterial>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QPlaneShape>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QSphereShape>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QStaticRigidBody>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QTriangleMeshShape>("QtQuick3D.Physics", 6);
    qmlRegisterTypesAndRevisions<QTriggerBody>("QtQuick3D.Physics", 6);
    qmlRegisterModule("QtQuick3D.Physics", 6, 4);
}

static const QQmlModuleRegistration registration("QtQuick3D.Physics", qml_register_types_QtQuick3D_Physics);
